cascading.flow.hadoop.util

## Class TimedIterator<V>

- java.lang.Object
- - cascading.flow.hadoop.util.TimedIterator<V>

All Implemented Interfaces:
  CloseableIterator<V>, java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<V>

    public class TimedIterator<V>
    extends java.lang.Object
    implements CloseableIterator<V>

### Constructor Summary

Constructors
Constructor and Description
`TimedIterator(FlowProcess flowProcess, java.lang.Enum durationCounter, java.lang.Enum countCounter)`
`TimedIterator(FlowProcess flowProcess, java.lang.Enum durationCounter, java.lang.Enum countCounter, int ordinal)`

### Method Summary

Methods
`void` `close()`
`boolean` `hasNext()`
`static <V> TimedIterator<V>[]` `iterators(TimedIterator<V>... iterators)`
`V` `next()`
`void` `remove()`
`void` `reset(java.lang.Iterable<V> iterable)`
`void` `reset(java.util.Iterator<V> iterator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimedIterator

    public TimedIterator(FlowProcess flowProcess,
                 java.lang.Enum durationCounter,
                 java.lang.Enum countCounter)

#### TimedIterator

    public TimedIterator(FlowProcess flowProcess,
                 java.lang.Enum durationCounter,
                 java.lang.Enum countCounter,
                 int ordinal)

### Method Detail

#### iterators

    public static <V> TimedIterator<V>[] iterators(TimedIterator<V>... iterators)

#### reset

    public void reset(java.lang.Iterable<V> iterable)

#### reset

    public void reset(java.util.Iterator<V> iterator)

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<V>`

#### next

    public V next()

Specified by:
  `next` in interface `java.util.Iterator<V>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator<V>`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Throws:
  `java.io.IOException`